import re

if re.search('^3.4', casadef.casa_version) == None:
 sys.exit('ERROR: PLEASE USE THE SAME VERSION OF CASA THAT YOU USED FOR GENERATING THE SCRIPT: 3.4')


print "# Running clean."

# You have not specified a source Id, I will assume you want to clean the science target(s).

clean(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  imagename = 'continuum.source3.dirty',
  field = '3', # HD 100546
  spw = '0:0~1600;2500~3839,1:0~1600;2500~3839,2:0~1600;3200~3839',
  mode = 'mfs',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 3,
  weighting = 'briggs',
  robust = 0.5,
  niter=0)

clean(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  imagename = 'continuum.source3.clean',
  field = '3', # HD 100546
  spw = '0:0~1600;2500~3839,1:0~1600;2500~3839,2:0~1600;3200~3839',
  mode = 'mfs',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 3,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='32mJy',mask=[115,115,145,145])
#beam=1"x0.5" ;rms = 5 mJy/beam

clean(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  imagename = 'H2S.clean',
  field = '3', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 400,
  start = 1600,
  width = 1,
  interpolation = 'nearest',
  interactive = T,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 3,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])
#beam=1"x0.5" ;rms = 14.2 mJy/beam

clean(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  imagename = 'SO76.clean',
  field = '3', # HD 100546
  spw = '1',
  mode = 'channel',
  nchan = 400,
  start = 1600,
  width = 1,
  interpolation = 'nearest',
  interactive = T,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 3,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])
#beam=1"x0.5" ;rms = 14.1 mJy/beam 

clean(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  imagename = 'SiO.clean',
  field = '3', # HD 100546
  spw = '2',
  mode = 'channel',
  nchan = 400,
  start = 1600,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 3,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])
#beam=1"x0.5" ;rms = 13.2 mJy/beam


clean(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  imagename = 'SO87.clean',
  field = '3', # HD 100546
  spw = '2',
  mode = 'channel',
  nchan = 500,
  start = 2900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 3,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])
#beam=1"x0.5" ;rms = 13.3 mJy/beam


#continuu subtraction

 
uvcontsub(vis='uid___A002_X552607_X95a.ms.split.cal',fitspw='0:0~1600;2500~3839',fitorder=1,combine='',field='3',spw='0')
mv uid___A002_X552607_X95a.ms.split.cal.contsub uid___A002_X552607_X95a.ms.split.cal.contsub.spw0

uvcontsub(vis='uid___A002_X552607_X95a.ms.split.cal',fitspw='1:0~1600;2500~3839',fitorder=1,combine='',field='3',spw='1')
mv uid___A002_X552607_X95a.ms.split.cal.contsub uid___A002_X552607_X95a.ms.split.cal.contsub.spw1

uvcontsub(vis='uid___A002_X552607_X95a.ms.split.cal',fitspw='2:0~1600;3200~3839',fitorder=1,combine='',field='3',spw='2')
mv uid___A002_X552607_X95a.ms.split.cal.contsub uid___A002_X552607_X95a.ms.split.cal.contsub.spw2


clean(vis = 'uid___A002_X552607_X95a.ms.split.cal.contsub.spw0',
  imagename = 'H2S.clean.contsub',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 400,
  start = 1600,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])


clean(vis = 'uid___A002_X552607_X95a.ms.split.cal.contsub.spw1',
  imagename = 'SO76.clean.contsub',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 400,
  start = 1600,
  width = 1,
  interpolation = 'nearest',
  interactive = T,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])

clean(vis = 'uid___A002_X552607_X95a.ms.split.cal.contsub.spw2',
  imagename = 'SiO.clean.contsub',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 400,
  start = 1600,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])

clean(vis = 'uid___A002_X552607_X95a.ms.split.cal.contsub.spw2',
  imagename = 'SO78.clean.contsub',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 500,
  start = 2900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])


#exportfits
exportfits(imagename='continuum.source3.clean.image',fitsimage='continuum.source3.clean.fits')
exportfits(imagename='H2S.clean.image',fitsimage='H2S.clean.fits')
exportfits(imagename='H2S.clean.contsub.image',fitsimage='H2S.clean.contsub.fits')
exportfits(imagename='SO76.clean.image',fitsimage='SO76.clean.fits')
exportfits(imagename='SO76.clean.contsub.image',fitsimage='SO76.clean.contsub.fits')
exportfits(imagename='SiO.clean.image',fitsimage='SiO.clean.fits')
exportfits(imagename='SiO.clean.contsub.image',fitsimage='SiO.clean.contsub.fits')
exportfits(imagename='SO87.clean.image',fitsimage='SO87.clean.fits')
exportfits(imagename='SO78.clean.contsub.image',fitsimage='SO87.clean.contsub.fits')
